package com.ruoyi.system.service_yada.impl;

import com.ruoyi.system.domain_yada.AorestCoverageVO;
import com.ruoyi.system.domain_yada.AustraliaMiddleEastVO;
import com.ruoyi.system.mapper_yada.AorestCoverageMapper;
import com.ruoyi.system.mapper_yada.AustraliaMiddleEastMapper;
import com.ruoyi.system.service_yada.IAorestCoverageService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * 森林覆盖率
 * @Author: JinSheng Song
 * @Date: 2022/5/11 11:43
 */
public class AorestCoverageServiceimpl implements IAorestCoverageService {
    @Autowired
    private AorestCoverageMapper coverageMapper;


    @Override
    public List<AorestCoverageVO> selectAorestCoverage() {
        return coverageMapper.selectAorestCoverage();
    }

    @Override
    public Integer DelAorestCoverage(String id) {
        return coverageMapper.DelAorestCoverage(id);
    }

    @Override
    public Integer IntoAorestCoverage(AorestCoverageVO eastVO) {
        return IntoAorestCoverage(eastVO);
    }
}
